Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests/sbin/resize_ffs Make most of the resize_ffs tests skip...
details: https://anonhg.NetBSD.org/src/rev/f9b646fd1cf9
branches: trunk
changeset: 356717:f9b646fd1cf9
user: kre <kre%NetBSD.org@localhost>
date: Sun Oct 08 21:12:27 2017 +0000
description:
Make most of the resize_ffs tests skip if PUFFS is not configured
in the kernel. (nb: for this purpose, a module that is configured
to autoload counts as configured in the kernel...)
diffstat:
tests/sbin/resize_ffs/common.sh | 12 +++++++++++-
1 files changed, 11 insertions(+), 1 deletions(-)
diffs (22 lines):
diff -r fe231a25c2f9 -r f9b646fd1cf9 tests/sbin/resize_ffs/common.sh
--- a/tests/sbin/resize_ffs/common.sh Sun Oct 08 20:44:19 2017 +0000
+++ b/tests/sbin/resize_ffs/common.sh Sun Oct 08 21:12:27 2017 +0000
@@ -134,7 +134,17 @@
fi
# we're specifying relative paths, so rump_ffs warns - ignore.
- atf_check -s exit:0 -e ignore rump_ffs ${IMG} mnt
+ if ! rump_ffs ${IMG} mnt >/dev/null 2>S.Err
+ then
+ if grep 'puffs_daemon: Operation not supported by device' S.Err >/dev/null
+ then
+ atf_skip 'No PUFFS available in kernel'
+ else
+ aft_fail "rump_ffs mount failed: $(tail -r S.Err |
+ sed -e '/^$/d' -e p -e q )"
+ fi
+ fi
+
copy_multiple ${numdata}
if [ ${nsize} -lt ${osize} ]; then
Home |
Main Index |
Thread Index |
Old Index